#ifndef AD9833_H
#define AD9833_H

#define MCLK 					20000000UL

#define AD9833_B28			0x2000
#define AD9833_HLB			0x1000
#define AD9833_FSELECT	0x0800
#define AD9833_PSELECT	0x0400
#define AD9833_RESET		0x0100
#define AD9833_SLEEP1		0x0080
#define AD9833_SLEEP2		0x0040
#define AD9833_OPBITEN	0x0020
#define AD9833_DIV2			0x0008
#define AD9833_MODE			0x0002
#define AD9833_FREQ0		0x01
#define AD9833_FREQ1		0x02

#define WAVEFORM_SINUS			0x00
#define WAVEFORM_TRIANGLE		0x01
#define WAVEFORM_SQUARE			0x02

unsigned int control_reg;
unsigned short waveform;
unsigned short wobbel_mode;

void ad9833_write(unsigned int wert);
void ad9833_set_frequency(unsigned short reg, double wert);
void ad9833_set_waveform(unsigned short waveform);
void ad9833_reset(void);
void ad9833_init(void); 

#endif
